chiark / gitweb /
Update version in tg script to 0.5
[topgit.git] / tg.sh
diff --git a/tg.sh b/tg.sh
index b4933997e9a6fb484554257b4e2cf31c2dca924c..2961106f735402d695043f31b32ffdef298566b3 100644 (file)
--- a/tg.sh
+++ b/tg.sh
@@ -26,7 +26,7 @@ setup_hook()
                # Another job well done!
                return
        fi
-       # Prepare incanation
+       # Prepare incantation
        if [ -x "$git_dir/hooks/$1" ]; then
                hook_call="$hook_call"' || exit $?'
        else
@@ -222,10 +222,14 @@ do_help()
                        sep="|"
                done
 
-               echo "TopGit v0.3 - A different patch queue manager"
+               echo "TopGit v0.5 - A different patch queue manager"
                echo "Usage: tg [-r REMOTE] ($cmds|help) ..."
-       elif [ -r "@sharedir@/tg-$1.txt" ] ; then
-               cat "@sharedir@/tg-$1.txt"
+       elif [ -r "@cmddir@"/tg-$1 ] ; then
+               @cmddir@/tg-$1 -h || :
+               echo
+               if [ -r "@sharedir@/tg-$1.txt" ] ; then
+                       cat "@sharedir@/tg-$1.txt"
+               fi
        else
                echo "`basename $0`: no help for $1" 1>&2
        fi
@@ -237,6 +241,8 @@ do_help()
 set -e
 git_dir="$(git rev-parse --git-dir)"
 root_dir="$(git rev-parse --show-cdup)"; root_dir="${root_dir:-.}"
+# Make sure root_dir doesn't end with a trailing slash.
+root_dir="${root_dir%/}"
 base_remote="$(git config topgit.remote 2>/dev/null)" || :
 tg="tg"
 # make sure merging the .top* files will always behave sanely